Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.svimservice.nsisr.web.ws.farmacia.vo.elencofarmacie
Class PeriodoMezzoPagamentoResponse

    java.lang.Object
      it.svimservice.nsisr.web.ws.farmacia.vo.elencofarmacie.PeriodoMezzoPagamentoResponse

    public class PeriodoMezzoPagamentoResponse

extends java.lang.Object

Dati di un periodo temporale di un mezzo di pagamento di una farmacia:

- data inizio
- data fine
- abi
- cab
- cin
- iban
- bic
- numero conto corrente
- nome banca
- tipo di pagamento
- tipo prescrizione

Version:
  1.1
Author:
  BisceglieR, CoppiR

Field Summary
`private int` | `codABI` Codice ABI
`private java.lang.String` | `codBIC` Codice BIC
`private int` | `codCAB` Codice CAB
`private java.lang.String` | `codCIN` Codice CIN
`private java.lang.String` | `codIBAN` Codice IBAN
`private int` | `codTipoPagamento` Tipo di pagamento: 1 - BONIFICO BANCARIO 2 - ASSEGNO CIRCOLARE TRASFERIBILE 3 - ASSEGNO CIRCOLARE NON TRASFERIBILE 4 - BONIFICO POSTALE 5 - ASSEGNO POSTALE LOCALIZZATO 6 - RILASCIO BOLLETTA DI INCASSO 7 - QUIETANZA DIRETTA 8 - QUIETANZA DIFFERITA 9 - PROCURA PER CASSA
`private int` | `codTipoPrescrizione` Tipo di prescrizione: 1 - SERVIZIO SANITARIO NAZIONALE 2 - ASSISTENZA INTEGRATIVA 3 - CASSA MARITTIMA MERIDIONALE 4 - CASSA MAR.MER.ASS.
`private java.lang.String` | `dataFine` Data fine
`private java.lang.String` | `dataInizio` Data inizio
`private java.lang.String` | `nomeBanca` Banca
`private java.lang.String` | `numContoCorrente` Numero di conto corrente

Constructor Summary
`PeriodoMezzoPagamentoResponse()`

Method Summary
`int` | `getCodABI()`
`java.lang.String` | `getCodBIC()`
`int` | `getCodCAB()`
`java.lang.String` | `getCodCIN()`
`java.lang.String` | `getCodIBAN()`
`int` | `getCodTipoPagamento()`
`int` | `getCodTipoPrescrizione()`
`java.lang.String` | `getDataFine()`
`java.lang.String` | `getDataInizio()`
`java.lang.String` | `getNomeBanca()`
`java.lang.String` | `getNumContoCorrente()`
`void` | `setCodABI(int codABI)`
`void` | `setCodBIC(java.lang.String codBIC)`
`void` | `setCodCAB(int codCAB)`
`void` | `setCodCIN(java.lang.String codCIN)`
`void` | `setCodIBAN(java.lang.String codIBAN)`
`void` | `setCodTipoPagamento(int codTipoPagamento)`
`void` | `setCodTipoPrescrizione(int codTipoPrescrizione)`
`void` | `setDataFine(java.lang.String dataFine)`
`void` | `setDataInizio(java.lang.String dataInizio)`
`void` | `setNomeBanca(java.lang.String nomeBanca)`
`void` | `setNumContoCorrente(java.lang.String numContoCorrente)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### dataInizio

    @Facets(pattern="((0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4})?")
    private java.lang.String dataInizio

  Data inizio

### dataFine

    @Facets(pattern="((0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4})?")
    private java.lang.String dataFine

  Data fine

### codABI

    private int codABI

  Codice ABI

### codCAB

    private int codCAB

  Codice CAB

### codCIN

    private java.lang.String codCIN

  Codice CIN

### codIBAN

    private java.lang.String codIBAN

  Codice IBAN

### codBIC

    private java.lang.String codBIC

  Codice BIC

### numContoCorrente

    private java.lang.String numContoCorrente

  Numero di conto corrente

### nomeBanca

    private java.lang.String nomeBanca

  Banca

### codTipoPagamento

    private int codTipoPagamento

  Tipo di pagamento:
  - 1 - BONIFICO BANCARIO
  - 2 - ASSEGNO CIRCOLARE TRASFERIBILE
  - 3 - ASSEGNO CIRCOLARE NON TRASFERIBILE
  - 4 - BONIFICO POSTALE
  - 5 - ASSEGNO POSTALE LOCALIZZATO
  - 6 - RILASCIO BOLLETTA DI INCASSO
  - 7 - QUIETANZA DIRETTA
  - 8 - QUIETANZA DIFFERITA
  - 9 - PROCURA PER CASSA

### codTipoPrescrizione

    private int codTipoPrescrizione

  Tipo di prescrizione:
  - 1 - SERVIZIO SANITARIO NAZIONALE
  - 2 - ASSISTENZA INTEGRATIVA
  - 3 - CASSA MARITTIMA MERIDIONALE
  - 4 - CASSA MAR.MER.ASS. INTEGRATIVA
  - 5 - DCR PROGETTO CRONOS
  - 6 - DCR RICETTE PHT
  - 7 - ASSISTENZA INTEGRATIVA ACCORDO PHT

Constructor Detail

### PeriodoMezzoPagamentoResponse

    public PeriodoMezzoPagamentoResponse()

Method Detail

### getDataFine

    public java.lang.String getDataFine()

### setDataFine

    public void setDataFine(java.lang.String dataFine)

### getDataInizio

    public java.lang.String getDataInizio()

### setDataInizio

    public void setDataInizio(java.lang.String dataInizio)

### getCodCAB

    public int getCodCAB()

### setCodCAB

    public void setCodCAB(int codCAB)

### getCodABI

    public int getCodABI()

### setCodABI

    public void setCodABI(int codABI)

### getCodCIN

    public java.lang.String getCodCIN()

### setCodCIN

    public void setCodCIN(java.lang.String codCIN)

### getCodIBAN

    public java.lang.String getCodIBAN()

### setCodIBAN

    public void setCodIBAN(java.lang.String codIBAN)

### getCodBIC

    public java.lang.String getCodBIC()

### setCodBIC

    public void setCodBIC(java.lang.String codBIC)

### getNumContoCorrente

    public java.lang.String getNumContoCorrente()

### setNumContoCorrente

    public void setNumContoCorrente(java.lang.String numContoCorrente)

### getNomeBanca

    public java.lang.String getNomeBanca()

### setNomeBanca

    public void setNomeBanca(java.lang.String nomeBanca)

### getCodTipoPagamento

    public int getCodTipoPagamento()

### setCodTipoPagamento

    public void setCodTipoPagamento(int codTipoPagamento)

### setCodTipoPrescrizione

    public void setCodTipoPrescrizione(int codTipoPrescrizione)

### getCodTipoPrescrizione

    public int getCodTipoPrescrizione()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD